## libvigraimpex 1.11.1+dfsg-11+11.0trisquel0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

##################################################
#
#     basic initializations
#
##################################################

PROJECT(vigra)

# read the current version from config_version.hxx
file(READ ${vigra_SOURCE_DIR}/include/vigra/config_version.hxx VIGRA_VERSION_FILE)
string(REGEX MATCH "VIGRA_VERSION_MAJOR[ \t\n]+[^ \t\n]+" VIGRA_VERSION_MAJOR ${VIGRA_VERSION_FILE})
string(REGEX REPLACE "VIGRA_VERSION_MAJOR[ \t\n]" "" VIGRA_VERSION_MAJOR ${VIGRA_VERSION_MAJOR})
string(REGEX MATCH "VIGRA_VERSION_MINOR[ \t\n]+[^ \t\n]+" VIGRA_VERSION_MINOR ${VIGRA_VERSION_FILE})
string(REGEX REPLACE "VIGRA_VERSION_MINOR[ \t\n]" "" VIGRA_VERSION_MINOR ${VIGRA_VERSION_MINOR})
string(REGEX MATCH "VIGRA_VERSION_PATCH[ \t\n]+[^ \t\n]+" VIGRA_VERSION_PATCH ${VIGRA_VERSION_FILE})
string(REGEX REPLACE "VIGRA_VERSION_PATCH[ \t\n]" "" VIGRA_VERSION_PATCH ${VIGRA_VERSION_PATCH})

SET(vigra_version_short ${VIGRA_VERSION_MAJOR}.${VIGRA_VERSION_MINOR})
SET(vigra_version ${VIGRA_VERSION_MAJOR}.${VIGRA_VERSION_MINOR}.${VIGRA_VERSION_PATCH})
message(STATUS "Configuring VIGRA version ${vigra_version}")

SET(CMAKE_MODULE_PATH  ${CMAKE_MODULE_PATH}  ${vigra_SOURCE_DIR}/config)

include(VigraSetDefaults)
include(VigraCMakeUtils)
INCLUDE_DIRECTORIES(${vigra_SOURCE_DIR}/include)

if(SUPPRESS_3RD_PARTY_WARNINGS)
    set(SUPPRESS_WARNINGS SYSTEM)
endif()

IF(VIGRA_STATIC_LIB)
    SET(LIBTYPE STATIC)
    ADD_DEFINITIONS(-DVIGRA_STATIC_LIB)
ELSE(VIGRA_STATIC_LIB)
    SET(LIBTYPE SHARED)
ENDIF(VIGRA_STATIC_LIB)

IF (MSVC)
    ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE -D_SCL_SECURE_NO_DEPRECATE)
ENDIF ()

IF(CMAKE_CXX_COMPILER_ID MATCHES "(GNU|Clang)")
    set(SUFFICIENT_TEMPLATE_DEPTH FALSE)
    TRY_COMPILE(SUFFICIENT_TEMPLATE_DEPTH
                ${CMAKE_BINARY_DIR} ${PROJECT_SOURCE_DIR}/config/checkTemplateDepth.cxx
                COMPILE_DEFINITIONS "-DDEPTH=900")

    IF(SUFFICIENT_TEMPLATE_DEPTH)
        MESSAGE(STATUS "Checking template recursion depth: ok")
    ELSE()
        if(CMAKE_CXX_COMPILER_ID MATCHES "GNU")
            # As of cmake 2.8.10, there is a variable CMAKE_CXX_COMPILER_VERSION.
            # Emulate it by a compiler call if not present.
            IF(NOT CMAKE_CXX_COMPILER_VERSION)
                exec_program(${CMAKE_CXX_COMPILER}
                    ARGS ${CMAKE_CXX_COMPILER_ARG1} -dumpversion
                    OUTPUT_VARIABLE CMAKE_CXX_COMPILER_VERSION)
                string(REGEX REPLACE "([0-9])\\.([0-9])(\\.[0-9])?" "\\1.\\2"
                      CMAKE_CXX_COMPILER_VERSION ${CMAKE_CXX_COMPILER_VERSION})
            endif()

            message ("Detected GCC version ${CMAKE_CXX_COMPILER_VERSION}")
            if(CMAKE_CXX_COMPILER_VERSION VERSION_LESS "4.4.0")
                MESSAGE(WARNING "GNU c++ < 4.4 cannot build VIGRANumPy; disabling (found GCC ${CMAKE_CXX_COMPILER_VERSION})")
                SET(WITH_VIGRANUMPY 0)
            elseif(CMAKE_CXX_COMPILER_VERSION VERSION_LESS "4.5.0")
                # gcc 4.4.x syntax is -ftemplate-depth-900 (not =900)
                SET(CMAKE_CXX_FLAGS "-ftemplate-depth-900 ${CMAKE_CXX_FLAGS}")
                MESSAGE(STATUS "Checking template recursion depth: using -ftemplate-depth-900")
            else()
                # new syntax is =900, not -900
                SET(CMAKE_CXX_FLAGS "-ftemplate-depth=900 ${CMAKE_CXX_FLAGS}")
                MESSAGE(STATUS "Checking template recursion depth: using -ftemplate-depth=900")
            endif()
        else()
            # clang uses newer gcc syntax
            SET(CMAKE_CXX_FLAGS "-ftemplate-depth=900 ${CMAKE_CXX_FLAGS}")
            MESSAGE(STATUS "Checking template recursion depth: using -ftemplate-depth=900")
        endif()
    ENDIF()
ENDIF()

if(MSVC)
    string(REGEX MATCH "[0-9.]+" MSVC_VERSION ${CMAKE_GENERATOR})
endif()

if(MACOSX)
    set(CMAKE_MACOSX_RPATH 1)
endif()

##################################################
#
#     search for dependencies
#
##################################################

INCLUDE(VigraFindPackage)
VIGRA_FIND_PACKAGE(ZLIB)
VIGRA_FIND_PACKAGE(TIFF NAMES libtiff_i libtiff) # prefer DLL on Windows
VIGRA_FIND_PACKAGE(JPEG NAMES libjpeg)
VIGRA_FIND_PACKAGE(PNG)
VIGRA_FIND_PACKAGE(FFTW3 NAMES libfftw3-3 libfftw-3.3)
VIGRA_FIND_PACKAGE(FFTW3F NAMES libfftw3f-3 libfftwf-3.3)


IF(WITH_OPENEXR)
    FIND_PACKAGE(Imath CONFIG)
    IF(TARGET Imath::Imath)
        FIND_PACKAGE(OpenEXR CONFIG)
        SET(OPENEXR_LIBRARIES
		    OpenEXR::OpenEXR
		    OpenEXR::Iex
			OpenEXR::IlmThread
			Imath::Imath
		)
		get_target_property(OPENEXR_INCLUDE_DIR OpenEXR::OpenEXRConfig INTERFACE_INCLUDE_DIRECTORIES)
		get_target_property(IMATH_INCLUDE_DIR Imath::ImathConfig INTERFACE_INCLUDE_DIRECTORIES)
		include_directories(${OPENEXR_INCLUDE_DIR} ${IMATH_INCLUDE_DIR})
		set(OPENEXR_FOUND TRUE)
	ELSE()
    VIGRA_FIND_PACKAGE(OpenEXR)
	ENDIF()
ENDIF()

IF(WITH_HDF5)
    VIGRA_FIND_PACKAGE(HDF5)
ENDIF()

IF(WITH_LEMON)
    VIGRA_FIND_PACKAGE(LEMON)
ENDIF()

SET(DOXYGEN_SKIP_DOT TRUE)
FIND_PACKAGE(Doxygen)

FIND_PACKAGE(PythonInterp ${PYTHON_VERSION})

##################################################
#
#     configure boost dependency
#
##################################################

set(WITH_BOOST "OFF")
set(BOOST_MINIMUM_VERSION "1.40.0")
set(WITH_BOOST_COMPONENTS "")

IF(WITH_BOOST_GRAPH)
    set(WITH_BOOST "ON")
ENDIF()

IF(WITH_VIGRANUMPY)
    set(WITH_BOOST "ON")
    # Do not add "python" to WITH_BOOST_COMPONENTS. It is more
    # reliabe to use 'FIND_LIBRARY' in FindVIGRANUMPY_DEPENDENCIES.
ENDIF()

IF(WITH_BOOST_THREAD)
    set(WITH_BOOST "ON")
    set(WITH_BOOST_COMPONENTS ${WITH_BOOST_COMPONENTS} thread system date_time chrono)
    set(BOOST_MINIMUM_VERSION "1.55.0")
ENDIF()

IF(WITH_BOOST)
    VIGRA_FIND_PACKAGE(Boost ${BOOST_MINIMUM_VERSION} COMPONENTS ${WITH_BOOST_COMPONENTS})
    # FIXME: the following may be unstable between cmake versions
    SET(Boost_LIB_SUFFIX "${_boost_COMPILER}${_boost_MULTITHREADED}-${Boost_LIB_VERSION}")
ENDIF()

if(WITH_BOOST AND Boost_FOUND)
    INCLUDE_DIRECTORIES(${SUPPRESS_WARNINGS} ${Boost_INCLUDE_DIR})
    IF(WITH_BOOST_THREAD)
        ADD_DEFINITIONS(-DUSE_BOOST_THREAD)
    ENDIF()
endif()

# Must be included AFTER boost is found.
include(VigraDetectThreading)
include(VigraConfigureThreading)

# Should come after VigraDetectThreading, since that updates the -std flag.
include(VigraDetectCppVersion)
VIGRA_DETECT_CPP_VERSION()

IF(WITH_VIGRANUMPY)
    FIND_PACKAGE(VIGRANUMPY_DEPENDENCIES)
ENDIF()

if(WITH_BOOST AND Boost_FOUND)
    # configure boost's autolink magic to use the right library name
    # (default on Windows is a mangled name like 'boost_system-vc110-mt-1_51.lib')
    if((Boost_SYSTEM_LIBRARY MATCHES "boost_system\\.lib") OR
       (Boost_PYTHON_LIBRARY MATCHES "boost_python\\.lib") OR
       (Boost_PYTHON_LIBRARY MATCHES "boost_python${PYTHON_VERSION_MAJOR}\\.lib"))
        set(Boost_MANGLED_NAMES 0)
        ADD_DEFINITIONS(-DBOOST_AUTO_LINK_NOMANGLE)
    else()
        set(Boost_MANGLED_NAMES 1)
    endif()
    if((Boost_SYSTEM_LIBRARY AND
        NOT Boost_SYSTEM_LIBRARY MATCHES "libboost_system") OR
       (Boost_PYTHON_LIBRARY AND
        NOT Boost_PYTHON_LIBRARY MATCHES "libboost_python"))
        ADD_DEFINITIONS(-DBOOST_ALL_DYN_LINK)
    endif()
endif()

IF(WITH_VALGRIND)
    FIND_PROGRAM(VALGRIND_EXECUTABLE valgrind)
ENDIF()

########################################
#  finalize compiler flags
SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS}"
    CACHE STRING  "Flags used by the C compiler during all build types" FORCE)
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}"
    CACHE STRING  "Flags used by the C++ compiler during all build types" FORCE)

##################################################
#
#     setup testing environment
#
##################################################

ADD_CUSTOM_TARGET(check)
ADD_CUSTOM_TARGET(ctest COMMAND ${CMAKE_CTEST_COMMAND})

ADD_CUSTOM_TARGET(check_cpp)
ADD_DEPENDENCIES(check check_cpp)


OPTION(CREATE_CTEST_TARGETS "Create special targets for CTest" OFF)
IF(CREATE_CTEST_TARGETS)
  INCLUDE(CTest)
ENDIF()

IF(WITH_VIGRANUMPY)
    ADD_CUSTOM_TARGET(check_python)
    ADD_DEPENDENCIES(check check_python)
ENDIF()

ENABLE_TESTING()

##################################################
#
#     setup documentation generator
#
##################################################

ADD_CUSTOM_TARGET(doc)

# Automatically push the latest documentation to github's gh-pages.
# This only works when ${DOCDIR} refers to a VIGRA repository that is
# checked out in branch 'gh-pages', and the present repository is
# in branch 'master' (these conditions are checked in the script).
if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")

    configure_file(${PROJECT_SOURCE_DIR}/config/update-gh-pages.sh.in
                   ${PROJECT_BINARY_DIR}/update-gh-pages.sh @ONLY)
    EXECUTE_PROCESS(COMMAND chmod u+x ${PROJECT_BINARY_DIR}/update-gh-pages.sh OUTPUT_QUIET ERROR_QUIET)

    ADD_CUSTOM_TARGET(gh-pages
          ${PROJECT_BINARY_DIR}/update-gh-pages.sh
          DEPENDS doc
          WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
          COMMENT "Pushing documentation to github pages.")
endif()

##################################################
#
#     setup private experimentation target
#
##################################################

ADD_CUSTOM_TARGET(experiments)

##################################################
#
#     subdirectories
#
##################################################

ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(test)
ADD_SUBDIRECTORY(docsrc)

IF(WITH_VIGRANUMPY)
    ADD_SUBDIRECTORY(vigranumpy)
ENDIF()

IF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/private/CMakeLists.txt)
    ADD_SUBDIRECTORY(private EXCLUDE_FROM_ALL)
ENDIF()


set(LIB_SUFFIX "" CACHE STRING "Define suffix of lib directory name (32/64)" )

##################################################
#
#     global installation commands
#
##################################################

INSTALL(DIRECTORY ${PROJECT_SOURCE_DIR}/include/vigra
        DESTINATION include)

##################################################
#
#     enable CPack package generation
#
##################################################
INCLUDE(CPackConfig)

##################################################
#
#     add target vigra-$version-src.tar.gz
#
##################################################

find_program(GIT_EXECUTABLE
              NAMES git git.exe git.cmd
              HINTS $ENV{ProgramFiles}/Git/bin
              DOC "git command line client")

CONFIGURE_FILE(${PROJECT_SOURCE_DIR}/config/package-src.cmake.in
                ${PROJECT_BINARY_DIR}/package-src.cmake
                @ONLY IMMEDIATE)

add_custom_target(PACKAGE_SRC_TAR
                   COMMAND ${CMAKE_COMMAND} -P package-src.cmake
                   WORKING_DIRECTORY "${PROJECT_BINARY_DIR}"
                   COMMENT "Creating ${PROJECT_BINARY_DIR}/vigra-${vigra_version}-src.tar.gz")

ADD_DEPENDENCIES(PACKAGE_SRC_TAR check)
ADD_DEPENDENCIES(PACKAGE_SRC_TAR doc_cpp)
IF(WITH_VIGRANUMPY AND PYTHON_SPHINX)
    ADD_DEPENDENCIES(PACKAGE_SRC_TAR doc_python)
ENDIF()

##################################################
#
#  enable other non-CMake projects to find Vigra
#
##################################################

IF(NOT WIN32)
# vigra-config script for (non-CMake-based) third party packages
CONFIGURE_FILE(${PROJECT_SOURCE_DIR}/config/vigra-config.in
        ${PROJECT_BINARY_DIR}/bin/vigra-config
        @ONLY IMMEDIATE)
INSTALL(FILES ${PROJECT_BINARY_DIR}/bin/vigra-config
        DESTINATION bin
        PERMISSIONS
            OWNER_READ OWNER_WRITE OWNER_EXECUTE
            GROUP_READ GROUP_EXECUTE
            WORLD_READ WORLD_EXECUTE)
ENDIF(NOT WIN32)

##################################################
#
#     enable other CMake projects to find Vigra
#
##################################################

# config file for CMake FIND_PACKAGE command (for using the build tree)

=== test/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/include)

INCLUDE(VigraAddTest)

ADD_SUBDIRECTORY(adjacency_list_graph)
ADD_SUBDIRECTORY(binary_forest)
ADD_SUBDIRECTORY(blockwisealgorithms)
ADD_SUBDIRECTORY(classifier)
ADD_SUBDIRECTORY(colorspaces)
#ADD_SUBDIRECTORY(convolution)
ADD_SUBDIRECTORY(coordinateiterator)
ADD_SUBDIRECTORY(correlation)
ADD_SUBDIRECTORY(counting_iterator)
ADD_SUBDIRECTORY(delegates)
ADD_SUBDIRECTORY(error)
ADD_SUBDIRECTORY(features)
ADD_SUBDIRECTORY(filter_iterator)
ADD_SUBDIRECTORY(filters)
ADD_SUBDIRECTORY(fourier)
ADD_SUBDIRECTORY(functorexpression)
ADD_SUBDIRECTORY(graph_algorithm)
ADD_SUBDIRECTORY(gridgraph)
ADD_SUBDIRECTORY(hdf5impex)
#ADD_SUBDIRECTORY(image)
#ADD_SUBDIRECTORY(imgproc)
#ADD_SUBDIRECTORY(impex)
ADD_SUBDIRECTORY(integral_image)
ADD_SUBDIRECTORY(math)
ADD_SUBDIRECTORY(merge_graph_adaptor)
ADD_SUBDIRECTORY(morphology)
ADD_SUBDIRECTORY(multiarray)
ADD_SUBDIRECTORY(multiconvolution)
ADD_SUBDIRECTORY(multidistance)
ADD_SUBDIRECTORY(multimorphology)
ADD_SUBDIRECTORY(objectfeatures)
ADD_SUBDIRECTORY(optimization)
ADD_SUBDIREcTORY(permutation)
ADD_SUBDIRECTORY(pixeltypes)
ADD_SUBDIRECTORY(polygon)
ADD_SUBDIRECTORY(polytope)
ADD_SUBDIRECTORY(random_forest_3)
ADD_SUBDIRECTORY(registration)
ADD_SUBDIRECTORY(sampler)
ADD_SUBDIRECTORY(seededRegionGrowing3d)
ADD_SUBDIRECTORY(sifImport)
#ADD_SUBDIRECTORY(simpleanalysis)
#ADD_SUBDIRECTORY(slic2d)
ADD_SUBDIRECTORY(tensorimaging)
ADD_SUBDIRECTORY(threadpool)
ADD_SUBDIRECTORY(unsupervised)
ADD_SUBDIRECTORY(utilities)
ADD_SUBDIRECTORY(volumelabeling)
ADD_SUBDIRECTORY(voxelneighborhood)
ADD_SUBDIRECTORY(watersheds3d)

=== src/impex/CMakeLists.txt ===
IF(ZLIB_FOUND)
  ADD_DEFINITIONS(-DHasZLIB)
  INCLUDE_DIRECTORIES(${SUPPRESS_WARNINGS} ${ZLIB_INCLUDE_DIR})
ENDIF(ZLIB_FOUND)

IF(PNG_FOUND)
  ADD_DEFINITIONS(-DHasPNG)
  INCLUDE_DIRECTORIES(${SUPPRESS_WARNINGS} ${PNG_INCLUDE_DIR})
ENDIF(PNG_FOUND)

IF(JPEG_FOUND)
  ADD_DEFINITIONS(-DHasJPEG)
  INCLUDE_DIRECTORIES(${SUPPRESS_WARNINGS} ${JPEG_INCLUDE_DIR})
ENDIF(JPEG_FOUND)

IF(TIFF_FOUND)
  ADD_DEFINITIONS(-DHasTIFF)
  INCLUDE_DIRECTORIES(${SUPPRESS_WARNINGS} ${TIFF_INCLUDE_DIR})
ENDIF(TIFF_FOUND)

IF(OpenEXR_FOUND)
  ADD_DEFINITIONS(-DHasEXR ${OPENEXR_CPPFLAGS})
  INCLUDE_DIRECTORIES(${SUPPRESS_WARNINGS} ${OPENEXR_INCLUDE_DIR})
ENDIF(OpenEXR_FOUND)

IF(HDF5_FOUND)
  ADD_DEFINITIONS(-DHasHDF5 ${HDF5_CPPFLAGS})
  INCLUDE_DIRECTORIES(${SUPPRESS_WARNINGS} ${HDF5_INCLUDE_DIR})
ENDIF(HDF5_FOUND)

IF (MSVC OR MINGW)
    IF(NOT VIGRA_STATIC_LIB)
        ADD_DEFINITIONS(-DVIGRA_DLL)
    ENDIF()
ELSEIF(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANGXX)
    IF(VIGRA_STATIC_LIB)
        ADD_DEFINITIONS(-fPIC -DPIC)
    ENDIF()
ENDIF ()




ADD_LIBRARY(vigraimpex ${LIBTYPE}
    bmp.cxx
    byteorder.cxx
    codecmanager.cxx
    compression.cxx
    exr.cxx
    gif.cxx
    hdr.cxx
    hdf5impex.cxx
    hdf5_rf_impex.cxx
    iccjpeg.c
    imageinfo.cxx
    jpeg.cxx
    lz4.c
    png.cxx
    pnm.cxx
    rgbe.c
    sifImport.cxx
    sun.cxx
    tiff.cxx
    viff.cxx
    void_vector.cxx)

set(SOVERSION 11)  # increment this after changing the vigraimpex library
IF(MACOSX)
    SET_TARGET_PROPERTIES(vigraimpex PROPERTIES VERSION ${SOVERSION}.${vigra_version}
                         SOVERSION ${SOVERSION} INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
ELSE()
    SET_TARGET_PROPERTIES(vigraimpex PROPERTIES VERSION ${SOVERSION}.${vigra_version} SOVERSION ${SOVERSION})
ENDIF()

IF(JPEG_FOUND)
  TARGET_LINK_LIBRARIES(vigraimpex ${JPEG_LIBRARIES})
ENDIF(JPEG_FOUND)

IF(PNG_FOUND)
  TARGET_LINK_LIBRARIES(vigraimpex ${PNG_LIBRARIES})
ENDIF(PNG_FOUND)

IF(TIFF_FOUND)
  TARGET_LINK_LIBRARIES(vigraimpex ${TIFF_LIBRARIES})
ENDIF(TIFF_FOUND)

IF(OPENEXR_FOUND)
  cmake_policy(SET CMP0028 NEW)
  TARGET_LINK_LIBRARIES(vigraimpex ${OPENEXR_LIBRARIES})
ENDIF(OPENEXR_FOUND)

IF(HDF5_FOUND)
  TARGET_LINK_LIBRARIES(vigraimpex ${HDF5_LIBRARIES})
ENDIF(HDF5_FOUND)

IF(ZLIB_FOUND)
  TARGET_LINK_LIBRARIES(vigraimpex ${ZLIB_LIBRARIES})
ENDIF(ZLIB_FOUND)


INSTALL(TARGETS vigraimpex
        EXPORT vigra-targets
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION lib${LIB_SUFFIX}
        ARCHIVE DESTINATION lib${LIB_SUFFIX})

=== vigranumpy/docsrc/CMakeLists.txt ===
IF(PYTHON_SPHINX)
    # vigranumpy documentation generation using sphinx
    IF(DEFINED VIGRANUMPY_DOCDIR)
        MESSAGE(SEND_ERROR "VIGRANUMPY_DOCDIR already defined! Please delete from Cache.")
    ENDIF()
    SET(VIGRANUMPY_DOCDIR ${DOCDIR}/vigranumpy)
    SET(SPHINX_OPTS ${SPHINX_OPTS} CACHE STRING
        "options passed to sphinx during vigranumpy doc generation"
        FORCE)
    IF(NOT DEFINED SPHINX_PAPER)
        SET(SPHINX_PAPER a4)
    ENDIF()
    SET(SPHINX_PAPER ${SPHINX_PAPER} CACHE STRING
        "Papersize for sphinx documentation generation (a4, letter)"
        FORCE)
    SET(SPHINX_ALLOPTS
        -d ${VIGRANUMPY_DOCDIR}/doctrees
        -D latex_paper_size=${SPHINX_PAPER}
        -c ${CMAKE_CURRENT_BINARY_DIR}
        ${SPHINX_OPTS})
    file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/_static)
    configure_file(../../docsrc/vigra-icon.ico ${CMAKE_CURRENT_BINARY_DIR}/_static/vigra-icon.ico COPYONLY)

    STRING(REGEX REPLACE "/vigra$" "" VIGRANUMPY_TMP_PATH ${vigranumpy_tmp_dir})

    if(CMAKE_MAJOR_VERSION LESS 3)
        DEPENDENCY_PATH(VIGRAIMPEX_PATH vigraimpex)
        CONFIGURE_FILE(
            ${CMAKE_CURRENT_SOURCE_DIR}/conf.py.cmake2.in
            ${CMAKE_CURRENT_BINARY_DIR}/conf.py
            @ONLY)
    else()
        CONFIGURE_FILE(
            ${CMAKE_CURRENT_SOURCE_DIR}/conf.py.in
            ${CMAKE_CURRENT_BINARY_DIR}/conf.py.in
            @ONLY)

        # two-stage file configuration is necessary because certain target
        # properties are only known at generation time (policy CMP0026)
        if(MSVC)
            file(GENERATE OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/conf.py
                          INPUT  ${CMAKE_CURRENT_BINARY_DIR}/conf.py.in
                          CONDITION $<CONFIG:Release>)
        else()
            file(GENERATE OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/conf.py
                          INPUT  ${CMAKE_CURRENT_BINARY_DIR}/conf.py.in)
        endif()
    endif()

    # VIGRA_CONFIGURATION is 'release' or 'debug' on Windows, nothing on Linux
    # variable CMAKE_CFG_INTDIR contains a dot '.' for a Windows nmake build, or
    #                           '$(OutDir)' for a VisualStudio build (OutDir will be
    #                           set by VS at build time)
    IF(CMAKE_CFG_INTDIR AND NOT CMAKE_CFG_INTDIR STREQUAL ".")
        SET(VIGRA_CONFIGURATION -D build_configuration=${CMAKE_CFG_INTDIR})
    ELSE()
        SET(VIGRA_CONFIGURATION)
    ENDIF()

    # just rerun sphinx (useful to debug the vigranumpy docu)
    ADD_CUSTOM_TARGET (doc_sphinx
        COMMAND ${CMAKE_COMMAND} -E make_directory
            ${VIGRANUMPY_DOCDIR}
        COMMAND ${PYTHON_SPHINX} -b html
            ${SPHINX_ALLOPTS}
            ${VIGRA_CONFIGURATION}
            ${CMAKE_CURRENT_SOURCE_DIR}
            ${VIGRANUMPY_DOCDIR}
        COMMENT "Generating vigranumpy documentation")

    # create vigranumpy documentation after updating C++ docu and vigranumpy modules
    ADD_CUSTOM_TARGET(doc_python
        COMMAND ${CMAKE_COMMAND} -E make_directory
            ${VIGRANUMPY_DOCDIR}
        COMMAND ${PYTHON_SPHINX} -b html
            ${SPHINX_ALLOPTS}
            ${VIGRA_CONFIGURATION}
            ${CMAKE_CURRENT_SOURCE_DIR}
            ${VIGRANUMPY_DOCDIR}
        COMMENT "Generating vigranumpy documentation")
    ADD_DEPENDENCIES(doc_python vigranumpy)
    ADD_DEPENDENCIES(doc_python doc_cpp)

ELSE(PYTHON_SPHINX)
    # no vigranumpy documentation if sphinx not available
    ADD_CUSTOM_TARGET (doc_python
        ${CMAKE_COMMAND} -E echo
        "Cannot generate Python documentation for vigranumpy. "
        "(sphinx-build not found)"
        VERBATIM)

ENDIF(PYTHON_SPHINX)

ADD_DEPENDENCIES(doc doc_python)

=== debian/changelog ===
libvigraimpex (1.11.1+dfsg-11+11.0trisquel0) aramo; urgency=medium

  * Build as dependency of hugin.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 10 Apr 2023 18:22:28 +0000

libvigraimpex (1.11.1+dfsg-11) unstable; urgency=medium

  * 54_use_tuples_for_numpy_indexing.diff and 55_no_bool_import_numpy.diff:
    Fix build error with numpy 1.23. Closes: #1026487
  * 56_python311.diff Fix build error with python 3.11.
  * [lintian] b-d on libtiff-dev instead of libtiff5-dev.
  * Run wrap-and-sort -a -s -t.
  * Add Built-Using: ${sphinxdoc:Built-Using} to python-vigra-doc.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 21 Jan 2023 14:07:30 +0100

libvigraimpex (1.11.1+dfsg-10) unstable; urgency=medium

  * Rename patches for filename alphanumic order = order of application.
  * 52_vigra-openexr3.patch: from Fedora, fix build against openexr3.
    Closes: #1017550

 -- Andreas Metzler <ametzler@debian.org>  Fri, 19 Aug 2022 20:31:28 +0200

libvigraimpex (1.11.1+dfsg-9) unstable; urgency=medium

  [ Andreas Metzler ]
  * 48_sphinx4_error.diff by Omari Stephens: Fix build error with sphinx 4.

  [ Heinz Repp ]
  * c++17conf.patch: Fix Build issue with gcc-11. Partial fix for #984049

  [ Florian Ernst ]
  * python_3.10_support.patch: Fix test error in C++ template syntax.
    Closes: #984049

 -- Andreas Metzler <ametzler@debian.org>  Sun, 03 Apr 2022 08:01:37 +0200

libvigraimpex (1.11.1+dfsg-8) unstable; urgency=medium

  * Use Build-Depends-Indep: dh-sequence-sphinxdoc instead of
    override_dh_installdocs-indep in debian/rules. Add b-d on debhelper (>=
    12.5).
  * Drop --with python3 and replace b-d on dh-python with a b-d on
    dh-sequence-python3.
  * Switch to B-D on dh-sequence-numpy3, drop --with numpy3 dh option.
  * Rename patches to let thmem sort correctly by filename.
  * 47_fileencoding-utf-8.diff: Re-encode two files from ISO-8859-1 to UTF-8
    to fix FTBFS. Closes: #980630
  * Use watchfile v4 standard.
  * Use dh v13 compat.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 31 Jan 2021 13:06:24 +0100

libvigraimpex (1.11.1+dfsg-7) unstable; urgency=medium

  * Avoid blhc (Buildd Log Scanner) false positives by appending instead of
    replacing -O options for specific tests.
  * Simplify debian/rules, drop double-build with/without python.
  * 1.11.1+dfsg-3 replaced the symlink /usr/share/doc/libvigraimpex-doc/html
    with a directory (introduced as part of DH 12 upgrade). Use
    debian/libvigraimpex-doc.maintscript to properly handle upgrades
    from << 1.11.1+dfsg3. (Thanks, Andreas Beckmann!) Closes: #950111
    Also retroactively fix systems already upgraded from << -3 to <= -6 by
    deleting the symlink /usr/share/doc/libvigraimpex-dev/html and moving
    /usr/share/doc/libvigraimpex-doc/html to /usr/share/doc/libvigraimpex-dev
    in libvigraimpex-doc.preinst.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 06 Feb 2020 15:43:35 +0100

libvigraimpex (1.11.1+dfsg-6) unstable; urgency=medium

  * rules: Drop -DBoost_PYTHON_LIBRARY_RELEASE argument, it is not used
    anymore.
  * B-d on python3-dev instead of python3-all-dev since only the python
    module for the default python version is built. (Thanks, Sebastiaan
    Couwenberg!)
  * Adopt package. Closes: #945193

 -- Andreas Metzler <ametzler@debian.org>  Fri, 03 Jan 2020 14:36:25 +0100

libvigraimpex (1.11.1+dfsg-5) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 27 Dec 2019 17:39:59 +0100

libvigraimpex (1.11.1+dfsg-4) experimental; urgency=medium

  * QA upload.
  * Improve readability of compilation flag settings.
  * Revamp rules, use dh sequencer. Install docs from installed (debian/tmp)
    instead of built directory.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 25 Dec 2019 14:34:19 +0100

libvigraimpex (1.11.1+dfsg-3) experimental; urgency=medium

  [ Daniel Stender ]
  * Orphaning package.

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository.
  * Fix day-of-week for changelog entries 1.4.0-1.
  * Build Python3 package instead of Python2
    Closes: #852052, #936932

  [ Andreas Metzler ]
  * QA upload.
  * vigra-1.11.1.py37.patch from upstream GIT: Fix FTBFS with python3.
  * Python Debian build:
    + Rename python-vigra.install to python3-vigra.install to follow
      package rename and get a nonempty result.
    + Fix build. As a first try only build for current default python version
      (py3versions -d) since upstream installs to /usr/lib/python3 instead of
      /usr/lib/pythonX.Y.
  * cmake-add-boost_python-MAJOR-MINOR-fixes-445.patch from upstream GIT: Fix
    boost python detection.
  * Fix dh-12 build error (non-matching wildcards) by updating
    libvigraimpex-dev.examples.
  * Add b-d-i for texlive-latex-extra (needed for newunicodechar.sty).
  * ftbfs-lenna-removal.diff: Fix build error due to lenna removal.
  * ftbfs-python3-doc-generation.diff: Python3 build error in doc generation.
  * DH 12 installs libvigraimpex-doc files directly to
    /usr/share/doc/libvigraimpex-dev. Adapt rules, update doc-base entry and
    drop symlink.
  * Set Rules-Requires-Root: no.
  * Tighten python3-vigra --> libvigraimpex11 dependency.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 23 Dec 2019 18:20:46 +0100

libvigraimpex (1.11.1+dfsg-2) experimental; urgency=medium

  * add sphinx.ext.pngmath.patch by Andreas Tille.

 -- Daniel Stender <stender@debian.org>  Sun, 10 Mar 2019 20:07:43 +0100

libvigraimpex (1.11.1+dfsg-1) experimental; urgency=medium

  * New upstream release (Closes: #863063):
    + unfuzz disable-tests-which-would-need-lenna-images.diff.
    + drop fix-impex-positiontest.diff (applied upstream).
    + unfuzz docsrc-paths.diff.
    + drop const-swap.patch (applied upstream).
    + update, rename multi_convolution_fix_incomplete_template_parameter.patch.


=== debian/control ===
Source: libvigraimpex
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders:
 Andreas Metzler <ametzler@debian.org>,
Section: libs
Priority: optional
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-sequence-numpy3,
 dh-sequence-python3,
 libboost-python-dev,
 libboost-thread-dev,
 libfftw3-dev,
 libhdf5-dev,
 libjpeg-dev,
 libopenexr-dev,
 libpng-dev,
 libtiff-dev,
 python3-dev,
 python3-nose,
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
 doxygen,
 ghostscript,
 python3,
 python3-sphinx,
 texlive-latex-base,
 texlive-latex-extra,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/libvigraimpex
Vcs-Git: https://salsa.debian.org/science-team/libvigraimpex.git
Homepage: https://ukoethe.github.io/vigra/

Package: libvigraimpex-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libfftw3-dev,
 libhdf5-dev,
 libjpeg-dev,
 libpng-dev,
 libtiff5-dev,
 libvigraimpex11 (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 libvigraimpex-doc,
Description: development files for the C++ computer vision library
 Vision with Generic Algorithms (VIGRA) is a computer vision library
 that puts its main emphasis on flexible algorithms, because
 algorithms represent the principle know-how of this field. The
 library was consequently built using generic programming as
 introduced by Stepanov and Musser and exemplified in the C++ Standard
 Template Library. By writing a few adapters (image iterators and
 accessors) you can use VIGRA's algorithms on top of your data
 structures, within your environment.
 .
 This package contains the header and development files needed to
 build programs and packages using VIGRA.

Package: libvigraimpex11
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: C++ computer vision library
 Vision with Generic Algorithms (VIGRA) is a computer vision library
 that puts its main emphasis on flexible algorithms, because
 algorithms represent the principle know-how of this field. The
 library was consequently built using generic programming as
 introduced by Stepanov and Musser and exemplified in the C++ Standard
 Template Library. By writing a few adapters (image iterators and
 accessors) you can use VIGRA's algorithms on top of your data
 structures, within your environment.

Package: libvigraimpex-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Suggests:
 libvigraimpex-dev,
 python-vigra-doc,
Description: Documentation for the C++ computer vision library
 Vision with Generic Algorithms (VIGRA) is a computer vision library
 that puts its main emphasis on flexible algorithms, because
 algorithms represent the principle know-how of this field. The
 library was consequently built using generic programming as
 introduced by Stepanov and Musser and exemplified in the C++ Standard
 Template Library. By writing a few adapters (image iterators and
 accessors) you can use VIGRA's algorithms on top of your data
 structures, within your environment.
 .
 This package contains documentation for the VIGRA library.

Package: python3-vigra
Architecture: any
Section: python
Depends:
 libvigraimpex11 (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python3-pyqt4,
Suggests:
 python-vigra-doc,
 python3-h5py,
Description: Python3 bindings for the C++ computer vision library
 Vision with Generic Algorithms (VIGRA) is a computer vision library
 that puts its main emphasis on flexible algorithms, because
 algorithms represent the principle know-how of this field. The
 library was consequently built using generic programming as
 introduced by Stepanov and Musser and exemplified in the C++ Standard
 Template Library. By writing a few adapters (image iterators and
 accessors) you can use VIGRA's algorithms on top of your data
 structures, within your environment.
 .
 This package exports the functionality of the VIGRA library to Python3.

Package: python-vigra-doc
Architecture: all
Section: doc
Built-Using:
 ${sphinxdoc:Built-Using},
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Suggests:
 libvigraimpex-doc,
 python3-vigra,
Description: Documentation for Python3 bindings for the C++ computer vision library
 Vision with Generic Algorithms (VIGRA) is a computer vision library
 that puts its main emphasis on flexible algorithms, because
 algorithms represent the principle know-how of this field. The
 library was consequently built using generic programming as
 introduced by Stepanov and Musser and exemplified in the C++ Standard
 Template Library. By writing a few adapters (image iterators and
 accessors) you can use VIGRA's algorithms on top of your data
 structures, within your environment.
 .
 This package contains documentation for Python3 bindings for the VIGRA library.

## libvigraimpex 1.11.2%2Bdfsg

=== vigranumpy/test/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${SUPPRESS_WARNINGS} ${VIGRANUMPY_INCLUDE_DIRS})

SET(TEST_SCRIPTS
    test_arraytypes.py
    test_rf.py
    test_impex.py
    test1.py
    test2.py
    test3.py
    test4.py
    test_color.py
    test_segmentation.py
    test_multidef.py
    )

# setup the file 'testsuccess.cxx' which will become out-of-date when the
# last test failed or when the tests code changed, so that tests are re-executed
SET(TEST_SUCCESS_FILE "${CMAKE_CURRENT_BINARY_DIR}/testsuccess.cxx")

# find the vigranumpy modules that we want to test, and make
# 'testsuccess.cxx' depend on them
# TODO: Does cmake provide a standard way to find those dependencies?
GET_TARGET_PROPERTY(VIGRANUMPY_DEPENDS vigranumpy VIGRA_DEPENDS)
SEPARATE_ARGUMENTS(VIGRANUMPY_DEPENDS)

add_custom_command(
    OUTPUT ${TEST_SUCCESS_FILE}
    DEPENDS ${TEST_SCRIPTS} ${VIGRANUMPY_DEPENDS}
    COMMAND ${CMAKE_COMMAND}
    ARGS -E touch ${TEST_SUCCESS_FILE})

FILE(GLOB TESTSUCCESS_FOUND ${TEST_SUCCESS_FILE})
IF(NOT TESTSUCCESS_FOUND)
    FILE(WRITE ${TEST_SUCCESS_FILE}
     "// auto-generated dummy file to force re-execution of failed tests
")
ENDIF()

# setup the test target
IF(AUTOBUILD_TESTS)
  ADD_LIBRARY(vigranumpytest SHARED
               vigranumpytest.cxx ${TEST_SUCCESS_FILE} ${TEST_SCRIPTS})
ELSE()
  ADD_LIBRARY(vigranumpytest SHARED EXCLUDE_FROM_ALL
               vigranumpytest.cxx ${TEST_SUCCESS_FILE} ${TEST_SCRIPTS})
ENDIF()

execute_process(COMMAND ${Python_EXECUTABLE} -c
                "import sysconfig; print(sysconfig.get_config_var('EXT_SUFFIX'))"
                OUTPUT_VARIABLE EXT_SUFFIX OUTPUT_STRIP_TRAILING_WHITESPACE)
SET_TARGET_PROPERTIES(vigranumpytest PROPERTIES PREFIX "" SUFFIX  ${EXT_SUFFIX})

TARGET_LINK_LIBRARIES(vigranumpytest ${VIGRANUMPY_LIBRARIES})
ADD_DEPENDENCIES(check_python vigranumpytest)
ADD_DEPENDENCIES(ctest vigranumpytest)
ADD_DEPENDENCIES(vigranumpytest vigranumpy)

# setup the file 'set_path.py' to ensure that tests are run against the binaries
# which are currently being built, not against (possibly outdated) installed modules
STRING(REGEX REPLACE "/vigra$" "" VIGRANUMPY_TMP_PATH ${vigranumpy_tmp_dir})
FILE(TO_NATIVE_PATH "${VIGRANUMPY_TMP_PATH}" VIGRANUMPY_TMP_PATH)

if(CMAKE_MAJOR_VERSION LESS 3)
    DEPENDENCY_PATH(VIGRAIMPEX_PATH vigraimpex)
    DEPENDENCY_PATH(VIGRANUMPYTEST_PATH vigranumpytest)

    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/set_paths.py.cmake2.in
                   ${CMAKE_CURRENT_BINARY_DIR}/set_paths.py
                   @ONLY)
else()
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/set_paths.py.in
                   ${CMAKE_CURRENT_BINARY_DIR}/set_paths.py.in
                   @ONLY)

    # two-stage file configuration is necessary because certain target
    # properties are only known at generation time (policy CMP0026)
    if(MSVC)
        file(GENERATE OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/set_paths.py
                      INPUT  ${CMAKE_CURRENT_BINARY_DIR}/set_paths.py.in
                      CONDITION $<CONFIG:Release>)
    else()
        file(GENERATE OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/set_paths.py
                      INPUT  ${CMAKE_CURRENT_BINARY_DIR}/set_paths.py.in)
    endif()
endif()

IF(NOT PYTHON_NOSETESTS_NOT_FOUND)
    # copy the individual test scripts
    FOREACH(test_script ${TEST_SCRIPTS})
        ADD_CUSTOM_COMMAND(
            TARGET vigranumpytest
            POST_BUILD
            COMMAND ${CMAKE_COMMAND}
            ARGS -E copy_if_different
            ${CMAKE_CURRENT_SOURCE_DIR}/${test_script} ${CMAKE_CURRENT_BINARY_DIR}/${test_script}
            COMMENT "Running vigranumpy tests")
    ENDFOREACH(test_script)

    VIGRA_NATIVE_PATH(Python_EXECUTABLE ${Python_EXECUTABLE})

    # Windows: Set the DLL path to the binaries currently being built
    #          (so that binaries which are already installed are ignored)
    #          This is not necessary on Linux, because the correct path
    #          is hard-coded into the module by means of 'rpath'
    set(EXTRA_PATH "")
    IF(MSVC)
        SET(PATHSEP ";")
    ELSE()
        SET(PATHSEP ":")
    ENDIF()
    FOREACH(lib ${LIBRARIES})
        if(TARGET ${lib})
            SET(EXTRA_PATH  "$<TARGET_FILE_DIR:${lib}>${PATHSEP}${EXTRA_PATH}")
        endif()
    ENDFOREACH(lib)

    # Setup the test execution script
    # two-stage file configuration is necessary because certain target
    # properties are only known at generation time (policy CMP0026)
    VIGRA_NATIVE_PATH(VIGRA_CURRENT_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR})
    IF(MSVC OR MINGW)
        get_filename_component(PYTHON_PATH ${Python_EXECUTABLE} PATH)
        get_filename_component(PYTHON_EXE  ${Python_EXECUTABLE} NAME)
        SET(EXTRA_PATH  "${PYTHON_PATH}${PATHSEP}${EXTRA_PATH}")
        SET(VIGRA_TEST_EXECUTABLE "${PYTHON_EXE} -c \"import nose; nose.main()\" . %CONFIGURATION%")
        SET(VIGRA_TEST_SCRIPT     "${CMAKE_CURRENT_BINARY_DIR}/run_vigranumpytest.bat")
        CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/config/run_test.bat.in
                       ${VIGRA_TEST_SCRIPT}.in
                       @ONLY)
        file(GENERATE OUTPUT "${VIGRA_TEST_SCRIPT}"
                      INPUT  "${VIGRA_TEST_SCRIPT}.in")
    ELSE()
        SET(VIGRA_TEST_EXECUTABLE "${Python_EXECUTABLE} -c \"import nose; nose.main()\" .")
        SET(VIGRA_TEST_SCRIPT     "${CMAKE_CURRENT_BINARY_DIR}/run_vigranumpytest.sh")
        CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/config/run_test.sh.in
                       ${VIGRA_TEST_SCRIPT}.in
                       @ONLY)
        EXECUTE_PROCESS(COMMAND chmod u+x ${VIGRA_TEST_SCRIPT}.in OUTPUT_QUIET ERROR_QUIET)
        file(GENERATE OUTPUT "${VIGRA_TEST_SCRIPT}"
                      INPUT  "${VIGRA_TEST_SCRIPT}.in")
    ENDIF()

    # register the test execution command
    # VIGRA_CONFIGURATION is 'release' or 'debug' on Windows, nothing on Linux
    # variable CMAKE_CFG_INTDIR contains a dot '.' for a Windows nmake build, or
    #                           '$(OutDir)' for a VisualStudio build (OutDir will be
    #                           set by VS at build time)
    SET(VIGRA_CONFIGURATION ${CMAKE_CFG_INTDIR})

    IF(AUTOEXEC_TESTS)
        add_custom_command(
            TARGET vigranumpytest
            POST_BUILD
            COMMAND ${VIGRA_TEST_SCRIPT} ARGS ${VIGRA_CONFIGURATION}
            COMMENT "Running vigranumpy tests")
    ENDIF()

    ADD_TEST(vigranumpytest ${VIGRA_TEST_SCRIPT} ${VIGRA_CONFIGURATION})

    # if we configure for Visual Studio, setup the debug command
    if(MSVC AND NOT (MSVC_VERSION VERSION_LESS "11"))
        # FIXME: this may not portable between VC versions (works for 11.0 - 14.0)
        set(VIGRA_TEST_EXE "${Python_EXECUTABLE}")
        set(VIGRA_TEST_ARGS "-c \"import nose; nose.main()\" . \$(Configuration)")
        configure_file(${CMAKE_SOURCE_DIR}/config/testdebug.vcxproj.user.in
                       ${CMAKE_CURRENT_BINARY_DIR}/vigranumpytest.vcxproj.user
                       @ONLY)
    endif()
ELSE()
        MESSAGE(STATUS "  vigranumpy tests will NOT be executed (nosetests missing)")
ENDIF()
